Issue 14843 - WW8: Equation fields cannot be imported into Writer ("EQ ..." field)
Summary: WW8: Equation fields cannot be imported into Writer ("EQ ..." field)
Status: REOPENED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: OOo 1.1 Beta2
Hardware: PC All
: P3 Trivial with 4 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
: 14787 19602 105888 (view as issue list)
Depends on:
Blocks:
 
Reported: 2003-05-24 22:54 UTC by nimenhao
Modified: 2013-08-07 14:38 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Smaple of formula field in Ms Word (23.50 KB, application/msword)
2003-06-03 12:00 UTC, michael.ruess
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description nimenhao 2003-05-24 22:54:46 UTC
1) open MS Word (every version) and open a new document;
2) copy the following from this message to the clipboard :
            Eq \f(3;5)
The semicolon must be replaced by a comma if comma is the "list separator"
corresponding to the Windows geographical number format (Start/Control
Panel/Regional/Numbers and then "list separator");
3) paste into the Word document and then select the expression ; 
4) Ctrl + F9;
5) Shift + F9. The fraction 3/5 should appear in fractionnal form ;
6) Save the document, say as sosimple.doc and close it ;
7) Try to open this document in Writer. No fraction, nothing : import fails...!
Comment 1 ingenstans 2003-05-28 16:23:59 UTC
this has been verified. It's a dupe of #14787, though, since this is 
earlier, the other must be the dupe. I'll mark that. 

There is a general problem that no equation fields are imported from 
any version of Word to any version of Writer on Windows.
Comment 2 ingenstans 2003-05-28 16:26:25 UTC
*** Issue 14787 has been marked as a duplicate of this issue. ***
Comment 3 h.ilter 2003-06-02 09:56:04 UTC
Reassigend to MRU.
Comment 4 michael.ruess 2003-06-03 12:00:13 UTC
Created attachment 6616 [details]
Smaple of formula field in Ms Word
Comment 5 michael.ruess 2003-06-03 12:01:55 UTC
Writer does not support formula fields like in the attached sample.
I see two different solutions for this.
1. implement such a feature in Writer
2. converting the field to a StarMath object
Comment 6 nimenhao 2003-06-03 15:37:01 UTC
Converting the fields one by one in the document is not a solution (in
some documents I have hundreds of such fields!).
Comment 7 bettina.haberer 2003-10-22 10:39:49 UTC
Needed is the implementing of equation fields.
Comment 8 mguillem 2005-07-28 11:30:52 UTC
I totally disagree the need of implementation of equation fields in Writer. 

I'm the author of aMath (http://www.amath.org, a MS Word template facilitating
the creation of math texts used by a great number of math teachers) and have a
great experience of these fields. The equation fields in MS Word are only a
legacy feature that is fast and easily scriptable but doesn't provide a lot of
features. Oo Math component is far better and MS Word equation fields should be
converted to Oo Math. The difficulty is that MS Word equation fields are often
used with custom constructs like "\s\up2(\f(3;5))" to have the fraction 3/5
moved up for a better aligment. The ideal import solution would give the
possibility to configure how equation are transformed from equation fields to
Math formula for instance using a set of regexp: in this case
"\\s\\up2(\\f\((.*);(,*)\)\)" to "$1 over $2".

Why is this issue marked as fixed as it is not the case?
Comment 9 mguillem 2005-10-07 17:45:52 UTC
Again: why is it marked as fixed/resolved as it isn't the case?

I've had a look at the filter's source code. It seems that only to types of
equation fields are converted: combined characters like \o(\s\up Y(XXX),\s\do
Y(XXX)) and ruby text (?) other kinds of equations are simply ignored.

What about importing them as hidden text? This would give people having custom
eq fields in Word, the posibility to write a macro converting their Word EQ
fields to whatever they want.
Comment 10 nimenhao 2005-10-08 09:12:06 UTC
I completely agree with mguillem. This IS an issue. I reported it more than two
years ago, and it is absolutely not fixed. For that reason, it is not possible
to say that OOo is compatible with MS Word because it is not true. I have all my
work (hundreds of hours) wrote with MS equation fields and I can't use OOo for
that reason. To fix this for my own use I wrote (two years ago) a MS macro to
convert MS equation fields into text. I thought then import this into OOo and
write a macro in OOo language to convert into OOo equations. But I am not a
programmer and...I have no time to learn OOo language...So I did not success.
Comment 11 mguillem 2005-10-11 07:58:27 UTC
Ups, I've make a mistake writing aMath's url. It's http://www.amath.net (and not
.org)
Comment 12 michael.ruess 2007-06-20 09:29:47 UTC
MAde summary more significant.
Comment 13 michael.ruess 2007-06-20 09:33:28 UTC
*** Issue 19602 has been marked as a duplicate of this issue. ***
Comment 14 michael.ruess 2009-10-14 10:29:57 UTC
*** Issue 105888 has been marked as a duplicate of this issue. ***
Comment 15 michael.ruess 2009-10-14 10:38:58 UTC
*** Issue 105888 has been marked as a duplicate of this issue. ***
Comment 16 michael.ruess 2009-10-14 10:40:51 UTC
*** Issue 105888 has been marked as a duplicate of this issue. ***
Comment 17 foral 2010-01-14 23:33:57 UTC
For information.

http://blogs.msdn.com/murrays/archive/2008/02/20/word-eq-field-and-east-asian-
formatting.aspx
Comment 18 bettina.haberer 2010-05-21 14:54:53 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".